use crate::static_files::StaticFilesManager;
use actix_files::NamedFile;
use actix_web::{get, web, Responder};

#[get("/favicon.ico")]
pub async fn favicon(
    static_files_manager: web::Data<std::sync::Mutex<StaticFilesManager>>,
) -> impl Responder {
    let static_files_manager = static_files_manager.lock().unwrap();
    NamedFile::open(static_files_manager.dir.join("default").join("favicon.ico"))
}
